
QGIS Application - Bug report #868

Helmert transform in Georeferencer plugin creates incorrect world file

2007-12-13 01:46 PM - baronqgis -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Mandriva Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10927

Description

Mandriva 2008.0, qgis version 0.8.1, Georeferencer Plugin using the Helmert transform option:

When run on a .jpg image, this creates the following world file called [name_of_raster_file].jpw

1.000000000000000

0

0

-1.000000000000000

363627.895052257168572

5513436.481880596838892

The resultant raster file, thought it has a .jpg extension is actually a tiff file. When loading this raster into qgis, it looks for a world file with a

.tfw extension and so the resultant raster is in the wrong extent. I renamed the world file to .tfw and the raster loaded in the right extent.

However it's off by 881 meters.

I ran the same image on [[WinXP]], version 0.9.0 and got the following world file called [name_of_raster_file].wld

1.225077210994433

0

0

-1.225077210994433

363599.692818554292899

5513435.925615184940398

Just to see what would happen, I used the [[WinXP]] 0.9.0 world file on the Linux 0.8.1 raster and it worked perfectly. So, that means there

are are possibly two issues, which have been fixed in (the windows version of) 0.9.0 The world file doesn't get written correctly and it

doesn't get loaded in 0.8.1 because qgis is looking for a .tfw, but the world file is called .jpw.

History

#1 - 2007-12-13 01:54 PM - baronqgis -

Hmmmm...the world files are actually six lines each, not all one line as displayed above.

#2 - 2007-12-13 11:58 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed
This has been fixed for all plattforms. As you describe, the problem was that the world file was not picked up due to the file ending. Now, the world files all

have .wld suffixes to be recognized by GDAL. Therefore I'm closing this ticket. Feel free to reopen if there are any remaining issues (in the current 0.9.1

version).

#3 - 2007-12-21 08:02 AM - baronqgis -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

OK...but how do we get a version 0.8.1 bug fix out to Mandriva? Anyone who installs the latest version of Mandriva will have a broken Georeferencer tool.

#4 - 2007-12-21 08:04 AM - baronqgis -

Also, there were two issues...you've addressed the fact that the extension to the world files have been changed, but not the problem with the world file

being wrong.

#5 - 2007-12-21 08:50 AM - Magnus Homann

- Resolution set to fixed

- Status changed from Feedback to Closed

There is no support for 0.8.1 anymore, we only correct bugs in latest version. 0.9.1 is due out any day now. If you can reproduce the bug in 0.9.0, please

re-open.

#6 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
